]> git.donarmstrong.com Git - lilypond.git/blobdiff - configure
Debian release 2.19.80-1~exp1
[lilypond.git] / configure
index a779d129943badbc493d2f48766d11da65f2224a..7354576014bf1d58a29d13fd82181e9faef3e560 100755 (executable)
--- a/configure
+++ b/configure
@@ -4391,8 +4391,8 @@ if test "$URWOTF_DIR" != "" ;  then
            C059-Italic.otf C059-Roman.otf \
            NimbusMonoPS-Bold.otf NimbusMonoPS-BoldItalic.otf \
            NimbusMonoPS-Italic.otf NimbusMonoPS-Regular.otf \
-           NimbusSans-Bold.otf NimbusSans-BoldOblique.otf \
-           NimbusSans-Oblique.otf NimbusSans-Regular.otf; do
+           NimbusSans-Bold.otf NimbusSans-BoldItalic.otf \
+           NimbusSans-Italic.otf NimbusSans-Regular.otf; do
     if test ! -f "$URWOTF_DIR/$f"; then
       MISSING_URWOTF_FILES="$MISSING_URWOTF_FILES $f"
     else
@@ -4400,6 +4400,12 @@ if test "$URWOTF_DIR" != "" ;  then
     fi
   done
 fi
+if test "$MISSING_URWOTF_FILES"="NimbusSans-BoldItalic.otf NimbusSans-Italic.otf" && \
+   test -f "$URWOTF_DIR/NimbusSans-BoldOblique.otf" && \
+   test -f "$URWOTF_DIR/NimbusSans-Oblique.otf"; then
+  MISSING_URWOTF_FILES=""
+  URWOTF_FILES="$URWOTF_FILES NimbusSans-BoldOblique.otf NimbusSans-Oblique.otf"
+fi
 if test "$URWOTF_DIR" = "" -o "$MISSING_URWOTF_FILES" != ""; then
   { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
@@ -4413,7 +4419,7 @@ $as_echo "no" >&6; }
 
     else
 
-    eval "OPTIONAL"=\"`eval echo \"'$'OPTIONAL\" \""(download OTF files from 'http://git.ghostscript.com/?p=urw-core35-fonts.git;a=commit;h=79bcdfb34fbce12b592cce389fa7a19da6b5b018' and put them under '~/.local/share/fonts' etc., or use --with-urwotf-dir)"\"`\"
+    eval "OPTIONAL"=\"`eval echo \"'$'OPTIONAL\" \""(download OTF files from 'http://git.ghostscript.com/?p=urw-core35-fonts.git;a=tree;hb=91edd6ece36e84a1c6d63a1cf63a1a6d84bd443a' and put them under '~/.local/share/fonts' etc., or use --with-urwotf-dir)"\"`\"
 
     fi
   else
@@ -8411,7 +8417,16 @@ then
 $as_echo_n "checking for guile-config... " >&6; }
     guile_config="guile-config"
     found="no"
-    for r in $GUILE_CONFIG $target_guile_config $host_guile_config $build_guile_config guile-config guile2-config guile2.0-config guile-2.0-config guile1-config guile1.9-config guile1.8-config guile-1-config guile-1.9-config guile-1.8-config; do
+    for r in $GUILE_CONFIG \
+      $target_guile_config $host_guile_config $build_guile_config \
+      guile-config \
+      guile2-config   guile-2-config   guile-config-2   \
+      guile2.2-config guile-2.2-config guile-config-2.2 \
+      guile2.0-config guile-2.0-config guile-config-2.0 \
+      guile1-config   guile-1-config   guile-config-1   \
+      guile1.9-config guile-1.9-config guile-config-1.9 \
+      guile1.8-config guile-1.8-config guile-config-1.8; \
+      do
        exe=`
     ## which doesn't work in ash, if /usr/bin/which isn't installed
     ## type -p doesn't work in ash
@@ -8474,7 +8489,7 @@ $as_echo_n "checking for guile-config... " >&6; }
     {printf "%.0f\n", $1*1000000 + $2*1000 + three}'
 `
        sup=`
-    echo "2.2.0" | awk -F. '
+    echo "2.3.0" | awk -F. '
     {
       if ($3) {three = $3}
       else {three = 0}
@@ -8485,8 +8500,8 @@ $as_echo_n "checking for guile-config... " >&6; }
            guile_config="$r >= 2.0.7 (installed: $ver)"
            continue
        else
-           if test -n "2.2.0" -a "$num" -ge "$sup"; then
-               guile_config="$r < 2.2.0 (installed: $ver)"
+           if test -n "2.3.0" -a "$num" -ge "$sup"; then
+               guile_config="$r < 2.3.0 (installed: $ver)"
                continue
            else
                guile_config=$r
@@ -8900,7 +8915,16 @@ else
 $as_echo_n "checking for guile-config... " >&6; }
     guile_config="guile-config"
     found="no"
-    for r in $GUILE_CONFIG $target_guile_config $host_guile_config $build_guile_config guile-config guile2-config guile2.0-config guile-2.0-config guile1-config guile1.9-config guile1.8-config guile-1-config guile-1.9-config guile-1.8-config; do
+    for r in $GUILE_CONFIG \
+      $target_guile_config $host_guile_config $build_guile_config \
+      guile-config \
+      guile2-config   guile-2-config   guile-config-2   \
+      guile2.2-config guile-2.2-config guile-config-2.2 \
+      guile2.0-config guile-2.0-config guile-config-2.0 \
+      guile1-config   guile-1-config   guile-config-1   \
+      guile1.9-config guile-1.9-config guile-config-1.9 \
+      guile1.8-config guile-1.8-config guile-config-1.8; \
+      do
        exe=`
     ## which doesn't work in ash, if /usr/bin/which isn't installed
     ## type -p doesn't work in ash
   else
      PKG_CONFIG_MIN_VERSION=0.9.0
      if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
-        { $as_echo "$as_me:$LINENO: checking for pangoft2 >= 1.6.0" >&5
-$as_echo_n "checking for pangoft2 >= 1.6.0... " >&6; }
+        { $as_echo "$as_me:$LINENO: checking for pangoft2 >= 1.38.0" >&5
+$as_echo_n "checking for pangoft2 >= 1.38.0... " >&6; }
 
-        if $PKG_CONFIG --exists "pangoft2 >= 1.6.0" ; then
+        if $PKG_CONFIG --exists "pangoft2 >= 1.38.0" ; then
             { $as_echo "$as_me:$LINENO: result: yes" >&5
 $as_echo "yes" >&6; }
             succeeded=yes
 
             { $as_echo "$as_me:$LINENO: checking PANGO_FT2_CFLAGS" >&5
 $as_echo_n "checking PANGO_FT2_CFLAGS... " >&6; }
-            PANGO_FT2_CFLAGS=`$PKG_CONFIG --cflags "pangoft2 >= 1.6.0"`
+            PANGO_FT2_CFLAGS=`$PKG_CONFIG --cflags "pangoft2 >= 1.38.0"`
             { $as_echo "$as_me:$LINENO: result: $PANGO_FT2_CFLAGS" >&5
 $as_echo "$PANGO_FT2_CFLAGS" >&6; }
 
             { $as_echo "$as_me:$LINENO: checking PANGO_FT2_LIBS" >&5
 $as_echo_n "checking PANGO_FT2_LIBS... " >&6; }
-            PANGO_FT2_LIBS=`$PKG_CONFIG --libs "pangoft2 >= 1.6.0"`
+            PANGO_FT2_LIBS=`$PKG_CONFIG --libs "pangoft2 >= 1.38.0"`
             { $as_echo "$as_me:$LINENO: result: $PANGO_FT2_LIBS" >&5
 $as_echo "$PANGO_FT2_LIBS" >&6; }
         else
@@ -11686,7 +11710,7 @@ $as_echo "$PANGO_FT2_LIBS" >&6; }
             PANGO_FT2_LIBS=""
             ## If we have a custom action on failure, don't print errors, but
             ## do set a variable so people can do so.
-            PANGO_FT2_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "pangoft2 >= 1.6.0"`
+            PANGO_FT2_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "pangoft2 >= 1.38.0"`
 
         fi
 
@@ -11696,18 +11720,22 @@ $as_echo "$PANGO_FT2_LIBS" >&6; }
   fi
 
   if test $succeeded = yes; then
-     have_pangoft2=yes
+     have_pangoft2_with_otf_feature=yes
   else
      true
   fi
 
-    if test "$have_pangoft2" = yes ; then
+    if test "$have_pangoft2_with_otf_feature" = yes ; then
        cat >>confdefs.h <<\_ACEOF
 #define HAVE_PANGO16 1
 _ACEOF
 
        cat >>confdefs.h <<\_ACEOF
 #define HAVE_PANGO_FT2 1
+_ACEOF
+
+       cat >>confdefs.h <<\_ACEOF
+#define HAVE_PANGO_FT2_WITH_OTF_FEATURE 1
 _ACEOF
 
        # Do not pollute user-CPPFLAGS with configure-CPPFLAGS
@@ -11968,14 +11996,21 @@ done
        LIBS="$save_LIBS"
     else
        # UGR
-       #r="libpangoft2-dev or pangoft2-devel"e
-       r="libpango1.0-dev or pango?-devel"
-       ver="`pkg-config --modversion pangoft2`"
+       #r="libpangoft2-dev or pangoft2-devel"e
+       r="libpango1.0-dev or pango?-devel"
+       ver="`pkg-config --modversion pangoft2`"
 
-    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \""$r >= 1.6.0 (installed: $ver)"\"`\"
+    eval "OPTIONAL"=\"`eval echo \"'$'OPTIONAL\" \""$r >= 1.38.0 (It is required if you'd like "\"`\"
+
+
+    eval "OPTIONAL"=\"`eval echo \"'$'OPTIONAL\" \""to use OpenType font feature. "\"`\"
+
+
+    eval "OPTIONAL"=\"`eval echo \"'$'OPTIONAL\" \""installed: $ver)"\"`\"
 
     fi
 
+if test "$have_pangoft2_with_otf_feature" != yes ; then
 
 
   succeeded=no
   else
      PKG_CONFIG_MIN_VERSION=0.9.0
      if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
-        { $as_echo "$as_me:$LINENO: checking for fontconfig >= 2.4.0" >&5
-$as_echo_n "checking for fontconfig >= 2.4.0... " >&6; }
+        { $as_echo "$as_me:$LINENO: checking for pangoft2 >= 1.6.0" >&5
+$as_echo_n "checking for pangoft2 >= 1.6.0... " >&6; }
 
-        if $PKG_CONFIG --exists "fontconfig >= 2.4.0" ; then
+        if $PKG_CONFIG --exists "pangoft2 >= 1.6.0" ; then
             { $as_echo "$as_me:$LINENO: result: yes" >&5
 $as_echo "yes" >&6; }
             succeeded=yes
 
-            { $as_echo "$as_me:$LINENO: checking FONTCONFIG_CFLAGS" >&5
-$as_echo_n "checking FONTCONFIG_CFLAGS... " >&6; }
-            FONTCONFIG_CFLAGS=`$PKG_CONFIG --cflags "fontconfig >= 2.4.0"`
-            { $as_echo "$as_me:$LINENO: result: $FONTCONFIG_CFLAGS" >&5
-$as_echo "$FONTCONFIG_CFLAGS" >&6; }
+            { $as_echo "$as_me:$LINENO: checking PANGO_FT2_CFLAGS" >&5
+$as_echo_n "checking PANGO_FT2_CFLAGS... " >&6; }
+            PANGO_FT2_CFLAGS=`$PKG_CONFIG --cflags "pangoft2 >= 1.6.0"`
+            { $as_echo "$as_me:$LINENO: result: $PANGO_FT2_CFLAGS" >&5
+$as_echo "$PANGO_FT2_CFLAGS" >&6; }
 
-            { $as_echo "$as_me:$LINENO: checking FONTCONFIG_LIBS" >&5
-$as_echo_n "checking FONTCONFIG_LIBS... " >&6; }
-            FONTCONFIG_LIBS=`$PKG_CONFIG --libs "fontconfig >= 2.4.0"`
-            { $as_echo "$as_me:$LINENO: result: $FONTCONFIG_LIBS" >&5
-$as_echo "$FONTCONFIG_LIBS" >&6; }
+            { $as_echo "$as_me:$LINENO: checking PANGO_FT2_LIBS" >&5
+$as_echo_n "checking PANGO_FT2_LIBS... " >&6; }
+            PANGO_FT2_LIBS=`$PKG_CONFIG --libs "pangoft2 >= 1.6.0"`
+            { $as_echo "$as_me:$LINENO: result: $PANGO_FT2_LIBS" >&5
+$as_echo "$PANGO_FT2_LIBS" >&6; }
         else
-            FONTCONFIG_CFLAGS=""
-            FONTCONFIG_LIBS=""
+            PANGO_FT2_CFLAGS=""
+            PANGO_FT2_LIBS=""
             ## If we have a custom action on failure, don't print errors, but
             ## do set a variable so people can do so.
-            FONTCONFIG_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "fontconfig >= 2.4.0"`
+            PANGO_FT2_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "pangoft2 >= 1.6.0"`
 
         fi
 
@@ -12066,94 +12101,465 @@ $as_echo "$FONTCONFIG_LIBS" >&6; }
   fi
 
   if test $succeeded = yes; then
-     have_fontconfig=yes
+     have_pangoft2=yes
   else
      true
   fi
 
-    if test "$have_fontconfig" = yes ; then
+    if test "$have_pangoft2" = yes ; then
        cat >>confdefs.h <<\_ACEOF
-#define HAVE_FONTCONFIG 1
+#define HAVE_PANGO16 1
+_ACEOF
+
+       cat >>confdefs.h <<\_ACEOF
+#define HAVE_PANGO_FT2 1
 _ACEOF
 
        # Do not pollute user-CPPFLAGS with configure-CPPFLAGS
         save_CPPFLAGS="$CPPFLAGS"
         save_LIBS="$LIBS"
-       CPPFLAGS="$FONTCONFIG_CFLAGS $CPPFLAGS"
-       LIBS="$FONTCONFIG_LIBS $LIBS"
+       CPPFLAGS="$CPPFLAGS $PANGO_FT2_CFLAGS"
+       LIBS="$PANGO_FT2_LIBS $LIBS"
 
+for ac_header in pango/pangoft2.h
+do
+as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+fi
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+                $as_echo "$as_val"'`
+              { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+else
+  # Is the header compilable?
+{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
+$as_echo_n "checking $ac_header usability... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-       CPPFLAGS="$save_CPPFLAGS"
-       LIBS="$save_LIBS"
-    else
-       r="libfontconfig-dev or fontconfig-devel"
-       ver="`pkg-config --modversion fontconfig`"
+       ac_header_compiler=no
+fi
 
-    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \""$r >= 2.4.0 (installed: $ver)"\"`\"
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+$as_echo "$ac_header_compiler" >&6; }
 
-    fi
+# Is the header present?
+{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
+$as_echo_n "checking $ac_header presence... " >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
+  ac_header_preproc=no
+fi
 
+rm -f conftest.err conftest.$ac_ext
+{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+$as_echo "$ac_header_preproc" >&6; }
 
-  succeeded=no
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+  yes:no: )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+$as_echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+$as_echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
 
-  if test -z "$PKG_CONFIG"; then
-    # Extract the first word of "pkg-config", so it can be a program name with args.
-set dummy pkg-config; ac_word=$2
-{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
-$as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
+    ;;
+esac
+{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
+$as_echo_n "checking for $ac_header... " >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
   $as_echo_n "(cached) " >&6
 else
-  case $PKG_CONFIG in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
-    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-IFS=$as_save_IFS
-
-  test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
-  ;;
-esac
+  eval "$as_ac_Header=\$ac_header_preproc"
 fi
-PKG_CONFIG=$ac_cv_path_PKG_CONFIG
-if test -n "$PKG_CONFIG"; then
-  { $as_echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
-$as_echo "$PKG_CONFIG" >&6; }
-else
-  { $as_echo "$as_me:$LINENO: result: no" >&5
-$as_echo "no" >&6; }
+ac_res=`eval 'as_val=${'$as_ac_Header'}
+                $as_echo "$as_val"'`
+              { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+
 fi
+as_val=`eval 'as_val=${'$as_ac_Header'}
+                $as_echo "$as_val"'`
+   if test "x$as_val" = x""yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
 
+fi
 
-  fi
+done
 
-  if test "$PKG_CONFIG" = "no" ; then
-     echo "*** The pkg-config script could not be found. Make sure it is"
-     echo "*** in your path, or set the PKG_CONFIG environment variable"
-     echo "*** to the full path to pkg-config."
-     echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config."
-  else
-     PKG_CONFIG_MIN_VERSION=0.9.0
-     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
-        { $as_echo "$as_me:$LINENO: checking for freetype2 >= 2.1.10" >&5
-$as_echo_n "checking for freetype2 >= 2.1.10... " >&6; }
 
-        if $PKG_CONFIG --exists "freetype2 >= 2.1.10" ; then
-            { $as_echo "$as_me:$LINENO: result: yes" >&5
+for ac_func in pango_ft2_font_map_create_context
+do
+as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ $as_echo "$as_me:$LINENO: checking for $ac_func" >&5
+$as_echo_n "checking for $ac_func... " >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  $as_echo_n "(cached) " >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
+int
+main ()
+{
+return $ac_func ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
+$as_echo "$ac_try_echo") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_cxx_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext && {
+        test "$cross_compiling" = yes ||
+        $as_test_x conftest$ac_exeext
+       }; then
+  eval "$as_ac_var=yes"
+else
+  $as_echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_var=no"
+fi
+
+rm -rf conftest.dSYM
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval 'as_val=${'$as_ac_var'}
+                $as_echo "$as_val"'`
+              { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
+$as_echo "$ac_res" >&6; }
+as_val=`eval 'as_val=${'$as_ac_var'}
+                $as_echo "$as_val"'`
+   if test "x$as_val" = x""yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
+
+
+       CPPFLAGS="$save_CPPFLAGS"
+       LIBS="$save_LIBS"
+    else
+       # UGR
+       #r="libpangoft2-dev or pangoft2-devel"e
+       r="libpango1.0-dev or pango?-devel"
+       ver="`pkg-config --modversion pangoft2`"
+
+    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \""$r >= 1.6.0 (installed: $ver)"\"`\"
+
+    fi
+
+fi
+
+
+  succeeded=no
+
+  if test -z "$PKG_CONFIG"; then
+    # Extract the first word of "pkg-config", so it can be a program name with args.
+set dummy pkg-config; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  case $PKG_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
+  ;;
+esac
+fi
+PKG_CONFIG=$ac_cv_path_PKG_CONFIG
+if test -n "$PKG_CONFIG"; then
+  { $as_echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
+$as_echo "$PKG_CONFIG" >&6; }
+else
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
+fi
+
+
+  fi
+
+  if test "$PKG_CONFIG" = "no" ; then
+     echo "*** The pkg-config script could not be found. Make sure it is"
+     echo "*** in your path, or set the PKG_CONFIG environment variable"
+     echo "*** to the full path to pkg-config."
+     echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config."
+  else
+     PKG_CONFIG_MIN_VERSION=0.9.0
+     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
+        { $as_echo "$as_me:$LINENO: checking for fontconfig >= 2.4.0" >&5
+$as_echo_n "checking for fontconfig >= 2.4.0... " >&6; }
+
+        if $PKG_CONFIG --exists "fontconfig >= 2.4.0" ; then
+            { $as_echo "$as_me:$LINENO: result: yes" >&5
+$as_echo "yes" >&6; }
+            succeeded=yes
+
+            { $as_echo "$as_me:$LINENO: checking FONTCONFIG_CFLAGS" >&5
+$as_echo_n "checking FONTCONFIG_CFLAGS... " >&6; }
+            FONTCONFIG_CFLAGS=`$PKG_CONFIG --cflags "fontconfig >= 2.4.0"`
+            { $as_echo "$as_me:$LINENO: result: $FONTCONFIG_CFLAGS" >&5
+$as_echo "$FONTCONFIG_CFLAGS" >&6; }
+
+            { $as_echo "$as_me:$LINENO: checking FONTCONFIG_LIBS" >&5
+$as_echo_n "checking FONTCONFIG_LIBS... " >&6; }
+            FONTCONFIG_LIBS=`$PKG_CONFIG --libs "fontconfig >= 2.4.0"`
+            { $as_echo "$as_me:$LINENO: result: $FONTCONFIG_LIBS" >&5
+$as_echo "$FONTCONFIG_LIBS" >&6; }
+        else
+            FONTCONFIG_CFLAGS=""
+            FONTCONFIG_LIBS=""
+            ## If we have a custom action on failure, don't print errors, but
+            ## do set a variable so people can do so.
+            FONTCONFIG_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "fontconfig >= 2.4.0"`
+
+        fi
+
+
+
+     fi
+  fi
+
+  if test $succeeded = yes; then
+     have_fontconfig=yes
+  else
+     true
+  fi
+
+    if test "$have_fontconfig" = yes ; then
+       cat >>confdefs.h <<\_ACEOF
+#define HAVE_FONTCONFIG 1
+_ACEOF
+
+       # Do not pollute user-CPPFLAGS with configure-CPPFLAGS
+        save_CPPFLAGS="$CPPFLAGS"
+        save_LIBS="$LIBS"
+       CPPFLAGS="$FONTCONFIG_CFLAGS $CPPFLAGS"
+       LIBS="$FONTCONFIG_LIBS $LIBS"
+
+
+       CPPFLAGS="$save_CPPFLAGS"
+       LIBS="$save_LIBS"
+    else
+       r="libfontconfig-dev or fontconfig-devel"
+       ver="`pkg-config --modversion fontconfig`"
+
+    eval "REQUIRED"=\"`eval echo \"'$'REQUIRED\" \""$r >= 2.4.0 (installed: $ver)"\"`\"
+
+    fi
+
+
+
+  succeeded=no
+
+  if test -z "$PKG_CONFIG"; then
+    # Extract the first word of "pkg-config", so it can be a program name with args.
+set dummy pkg-config; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  case $PKG_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
+  ;;
+esac
+fi
+PKG_CONFIG=$ac_cv_path_PKG_CONFIG
+if test -n "$PKG_CONFIG"; then
+  { $as_echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
+$as_echo "$PKG_CONFIG" >&6; }
+else
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
+fi
+
+
+  fi
+
+  if test "$PKG_CONFIG" = "no" ; then
+     echo "*** The pkg-config script could not be found. Make sure it is"
+     echo "*** in your path, or set the PKG_CONFIG environment variable"
+     echo "*** to the full path to pkg-config."
+     echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config."
+  else
+     PKG_CONFIG_MIN_VERSION=0.9.0
+     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
+        { $as_echo "$as_me:$LINENO: checking for freetype2 >= 2.1.10" >&5
+$as_echo_n "checking for freetype2 >= 2.1.10... " >&6; }
+
+        if $PKG_CONFIG --exists "freetype2 >= 2.1.10" ; then
+            { $as_echo "$as_me:$LINENO: result: yes" >&5
 $as_echo "yes" >&6; }
             succeeded=yes
 
@@ -12292,60 +12698,318 @@ IFS=$ac_save_IFS
 case $host_os in *\ *) host_os=`echo "$host_os" | sed 's/ /-/g'`;; esac
 
 
-case $host_os in
-  *mingw32* ) MINGW32=yes;;
-         * ) MINGW32=no;;
-esac
+case $host_os in
+  *mingw32* ) MINGW32=yes;;
+         * ) MINGW32=no;;
+esac
+
+
+    if test "$CYGWIN" = "yes"; then
+       LN_S='cp -r' # Cygwin symbolic links do not work for native apps.
+       program_suffix=.exe
+       INSTALL="\$(SHELL) \$(stepdir)/../bin/install-dot-exe.sh -c"
+    elif test "$MINGW32" = "yes"; then
+       LN='cp -r'
+       LN_S='cp -r'
+       program_suffix=.exe
+       INSTALL="\$(SHELL) \$(stepdir)/../bin/install-dot-exe.sh -c"
+       PATHSEP=';'
+    fi
+
+
+
+    cat >>confdefs.h <<_ACEOF
+#define DIRSEP '${DIRSEP}'
+_ACEOF
+
+    cat >>confdefs.h <<_ACEOF
+#define PATHSEP '${PATHSEP}'
+_ACEOF
+
+
+
+
+
+    { $as_echo "$as_me:$LINENO: checking for some flavor of Windows" >&5
+$as_echo_n "checking for some flavor of Windows... " >&6; }
+    if test "$CYGWIN$MINGW32" = "nono"; then
+        PLATFORM_WINDOWS=no
+    else
+        PLATFORM_WINDOWS=yes
+    fi
+    { $as_echo "$as_me:$LINENO: result: $PLATFORM_WINDOWS" >&5
+$as_echo "$PLATFORM_WINDOWS" >&6; }
+
+
+    for ac_prog in $target-windres windres
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_prog_WINDRES+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  if test -n "$WINDRES"; then
+  ac_cv_prog_WINDRES="$WINDRES" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_WINDRES="$ac_prog"
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+WINDRES=$ac_cv_prog_WINDRES
+if test -n "$WINDRES"; then
+  { $as_echo "$as_me:$LINENO: result: $WINDRES" >&5
+$as_echo "$WINDRES" >&6; }
+else
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
+fi
+
+
+  test -n "$WINDRES" && break
+done
+test -n "$WINDRES" || WINDRES="no"
+
+
+
+    r="`eval echo '$'"WINDRES"`"
+    if test -n "$r" -a "$r" != "error" -a "$r" != "no" && expr '`eval echo '$'"WINDRES"`' : '.*\(echo\)' > /dev/null; then
+       true
+    else
+       ##STEPMAKE_WARN(cannot find . )
+       false
+    fi
+
+    if test $? -ne 0; then
+
+    eval "x"=\"`eval echo \"'$'x\" \"$target-windres windres\"`\"
+
+       if test "x" = "REQUIRED"; then
+           command="echo ERROR: $target-windres windres not found"
+           # abort configure process here?
+       else
+           command="- echo $target-windres windres not found"
+       fi
+       eval "WINDRES"='$command'
+       false
+    else
+       true
+    fi
+
+    if test $? -eq 0 -a -n ""; then
+
+    r="`eval echo '$'"WINDRES"`"
+    { $as_echo "$as_me:$LINENO: checking $r version" >&5
+$as_echo_n "checking $r version... " >&6; }
+    exe=`
+    ## which doesn't work in ash, if /usr/bin/which isn't installed
+    ## type -p doesn't work in ash
+    ## command -v doesn't work in zsh
+    ## command -v "$r" 2>&1
+    ## this test should work in ash, bash, pdksh (ksh), zsh
+    type -p $r 2>/dev/null | tail -n 1 | awk '{print $NF}'
+`
+    if test -n ""; then
+        ver=""
+    else
+        ver=`
+    ## "$exe" --version 2>&1 | grep -v '^$' | head -n 1 | awk '{print $NF}'
+    ##
+    ## ARG.
+    ## Workaround for broken Debian gcc version string:
+    ##     gcc (GCC) 3.1.1 20020606 (Debian prerelease)
+    ##
+    ## -V: Workaround for python
+
+    #dnl
+
+    ## Assume and hunt for dotted version multiplet.
+    ## use eval trickery, because we cannot use multi-level $() instead of ``
+    ## for compatibility reasons.
+
+    ## grab the first version number in  --version output.
+    eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 |
+               grep -E '(^| )[0-9][0-9]*\.[0-9]' |
+               head -n 1 |
+               tr ' ' '\n' |
+               sed 's/\([0-9][0-9]*\.[0-9][0-9.]*\).*/\1/g' |
+               grep -E '(^| )[0-9][0-9]*\.[0-9]' |
+               head -n 1\`\"
+
+    if test -z "$_ver"; then
+        ## If empty, try date [fontforge]
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
+           | head -n 1 \
+           | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
+    fi
+    echo "$_ver"
+    #dnl
+`
+    fi
+    num=`
+    echo "$ver" | awk -F. '
+    {
+      if ($3) {three = $3}
+      else {three = 0}
+    }
+    {printf "%.0f\n", $1*1000000 + $2*1000 + three}'
+`
+    req=`
+    echo "" | awk -F. '
+    {
+      if ($3) {three = $3}
+      else {three = 0}
+    }
+    {printf "%.0f\n", $1*1000000 + $2*1000 + three}'
+`
+    { $as_echo "$as_me:$LINENO: result: $ver" >&5
+$as_echo "$ver" >&6; }
+    if test "$num" -lt "$req"; then
+
+    eval "x"=\"`eval echo \"'$'x\" \""$r >=  (installed: $ver)"\"`\"
 
+    fi
+    vervar="`echo WINDRES | tr 'a-z' 'A-Z'`_VERSION"
+    eval `echo $vervar=$num`
+##    AC_SUBST(`eval echo $vervar`)
 
-    if test "$CYGWIN" = "yes"; then
-       LN_S='cp -r' # Cygwin symbolic links do not work for native apps.
-       program_suffix=.exe
-       INSTALL="\$(SHELL) \$(stepdir)/../bin/install-dot-exe.sh -c"
-    elif test "$MINGW32" = "yes"; then
-       LN='cp -r'
-       LN_S='cp -r'
-       program_suffix=.exe
-       INSTALL="\$(SHELL) \$(stepdir)/../bin/install-dot-exe.sh -c"
-       PATHSEP=';'
     fi
 
 
 
-    cat >>confdefs.h <<_ACEOF
-#define DIRSEP '${DIRSEP}'
-_ACEOF
 
-    cat >>confdefs.h <<_ACEOF
-#define PATHSEP '${PATHSEP}'
-_ACEOF
+# guile executable for some scripts
+if test "$GUILEv2" = "yes"
+then
 
+    { $as_echo "$as_me:$LINENO: checking for guile" >&5
+$as_echo_n "checking for guile... " >&6; }
+    guile="guile"
+    found="no"
+    for r in $GUILE guile guile2 guile2.0 guile-2.0 guile1 guile1.9 guile1.8 guile-1 guile-1.9 guile-1.8; do
+       exe=`
+    ## which doesn't work in ash, if /usr/bin/which isn't installed
+    ## type -p doesn't work in ash
+    ## command -v doesn't work in zsh
+    ## command -v "$r" 2>&1
+    ## this test should work in ash, bash, pdksh (ksh), zsh
+    type -p $r 2>/dev/null | tail -n 1 | awk '{print $NF}'
+`
+       if ! $exe --version > /dev/null 2>&1 ; then
+           continue
+       fi
+       ver=`
+    ## "$exe" --version 2>&1 | grep -v '^$' | head -n 1 | awk '{print $NF}'
+    ##
+    ## ARG.
+    ## Workaround for broken Debian gcc version string:
+    ##     gcc (GCC) 3.1.1 20020606 (Debian prerelease)
+    ##
+    ## -V: Workaround for python
 
+    #dnl
 
+    ## Assume and hunt for dotted version multiplet.
+    ## use eval trickery, because we cannot use multi-level $() instead of ``
+    ## for compatibility reasons.
 
+    ## grab the first version number in  --version output.
+    eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 |
+               grep -E '(^| )[0-9][0-9]*\.[0-9]' |
+               head -n 1 |
+               tr ' ' '\n' |
+               sed 's/\([0-9][0-9]*\.[0-9][0-9.]*\).*/\1/g' |
+               grep -E '(^| )[0-9][0-9]*\.[0-9]' |
+               head -n 1\`\"
 
-    { $as_echo "$as_me:$LINENO: checking for some flavor of Windows" >&5
-$as_echo_n "checking for some flavor of Windows... " >&6; }
-    if test "$CYGWIN$MINGW32" = "nono"; then
-        PLATFORM_WINDOWS=no
-    else
-        PLATFORM_WINDOWS=yes
+    if test -z "$_ver"; then
+        ## If empty, try date [fontforge]
+        eval _ver=\"\`("$exe" --version || "$exe" -V) 2>&1 \
+           | grep '\(^\|[^0-9a-f]\)[0-9]\{6,8\}\([^0-9a-f]\|$\)' \
+           | head -n 1 \
+           | sed -e 's/^[^.0-9]*//' -e 's/[^.0-9]*$//'\`\"
     fi
-    { $as_echo "$as_me:$LINENO: result: $PLATFORM_WINDOWS" >&5
-$as_echo "$PLATFORM_WINDOWS" >&6; }
+    echo "$_ver"
+    #dnl
+`
+       num=`
+    echo "$ver" | awk -F. '
+    {
+      if ($3) {three = $3}
+      else {three = 0}
+    }
+    {printf "%.0f\n", $1*1000000 + $2*1000 + three}'
+`
+       req=`
+    echo "2.0.7" | awk -F. '
+    {
+      if ($3) {three = $3}
+      else {three = 0}
+    }
+    {printf "%.0f\n", $1*1000000 + $2*1000 + three}'
+`
+       sup=`
+    echo "2.3.0" | awk -F. '
+    {
+      if ($3) {three = $3}
+      else {three = 0}
+    }
+    {printf "%.0f\n", $1*1000000 + $2*1000 + three}'
+`
+       if test -n "2.0.7" && test "$num" -lt "$req"; then
+           guile="$r >= 2.0.7 (installed: $ver)"
+           continue
+       else
+           if test -n "2.3.0" && test "$num" -ge "$sup"; then
+               guile="$r < 2.3.0 (installed: $ver)"
+               continue
+           else
+               guile=$r
+               found=$r
+               break
+           fi
+       fi
+    done
+    { $as_echo "$as_me:$LINENO: result: $found" >&5
+$as_echo "$found" >&6; }
+    if test "$found" != "no"; then
+       { $as_echo "$as_me:$LINENO: checking $guile version" >&5
+$as_echo_n "checking $guile version... " >&6; }
+       { $as_echo "$as_me:$LINENO: result: $ver" >&5
+$as_echo "$ver" >&6; }
+       GUILE=$found
+    else
 
+    eval "OPTIONAL"=\"`eval echo \"'$'OPTIONAL\" \"$guile\"`\"
 
-    for ac_prog in $target-windres windres
+    fi
+
+    for ac_prog in $GUILE
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
 { $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
 $as_echo_n "checking for $ac_word... " >&6; }
-if test "${ac_cv_prog_WINDRES+set}" = set; then
+if test "${ac_cv_prog_GUILE+set}" = set; then
   $as_echo_n "(cached) " >&6
 else
-  if test -n "$WINDRES"; then
-  ac_cv_prog_WINDRES="$WINDRES" # Let the user override the test.
+  if test -n "$GUILE"; then
+  ac_cv_prog_GUILE="$GUILE" # Let the user override the test.
 else
 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in $PATH
@@ -12354,7 +13018,7 @@ do
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_prog_WINDRES="$ac_prog"
+    ac_cv_prog_GUILE="$ac_prog"
     $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
@@ -12364,24 +13028,24 @@ IFS=$as_save_IFS
 
 fi
 fi
-WINDRES=$ac_cv_prog_WINDRES
-if test -n "$WINDRES"; then
-  { $as_echo "$as_me:$LINENO: result: $WINDRES" >&5
-$as_echo "$WINDRES" >&6; }
+GUILE=$ac_cv_prog_GUILE
+if test -n "$GUILE"; then
+  { $as_echo "$as_me:$LINENO: result: $GUILE" >&5
+$as_echo "$GUILE" >&6; }
 else
   { $as_echo "$as_me:$LINENO: result: no" >&5
 $as_echo "no" >&6; }
 fi
 
 
-  test -n "$WINDRES" && break
+  test -n "$GUILE" && break
 done
-test -n "$WINDRES" || WINDRES="no"
+test -n "$GUILE" || GUILE="no"
 
 
 
-    r="`eval echo '$'"WINDRES"`"
-    if test -n "$r" -a "$r" != "error" -a "$r" != "no" && expr '`eval echo '$'"WINDRES"`' : '.*\(echo\)' > /dev/null; then
+    r="`eval echo '$'"GUILE"`"
+    if test -n "$r" -a "$r" != "error" -a "$r" != "no" && expr '`eval echo '$'"GUILE"`' : '.*\(echo\)' > /dev/null; then
        true
     else
        ##STEPMAKE_WARN(cannot find . )
@@ -12390,23 +13054,69 @@ test -n "$WINDRES" || WINDRES="no"
 
     if test $? -ne 0; then
 
-    eval "x"=\"`eval echo \"'$'x\" \"$target-windres windres\"`\"
+    eval ""=\"`eval echo \"'$'\" \"$GUILE\"`\"
 
-       if test "x" = "REQUIRED"; then
-           command="echo ERROR: $target-windres windres not found"
+       if test "" = "REQUIRED"; then
+           command="echo ERROR: $GUILE not found"
            # abort configure process here?
        else
-           command="- echo $target-windres windres not found"
+           command="- echo $GUILE not found"
        fi
-       eval "WINDRES"='$command'
+       eval "GUILE"='$command'
        false
     else
        true
     fi
 
-    if test $? -eq 0 -a -n ""; then
+    if test $? -eq 0; then
+       for ac_prog in $GUILE
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+{ $as_echo "$as_me:$LINENO: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if test "${ac_cv_path_GUILE+set}" = set; then
+  $as_echo_n "(cached) " >&6
+else
+  case $GUILE in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_GUILE="$GUILE" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_GUILE="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
 
-    r="`eval echo '$'"WINDRES"`"
+  ;;
+esac
+fi
+GUILE=$ac_cv_path_GUILE
+if test -n "$GUILE"; then
+  { $as_echo "$as_me:$LINENO: result: $GUILE" >&5
+$as_echo "$GUILE" >&6; }
+else
+  { $as_echo "$as_me:$LINENO: result: no" >&5
+$as_echo "no" >&6; }
+fi
+
+
+  test -n "$GUILE" && break
+done
+
+       if test -n ""; then
+
+    r="`eval echo '$'"GUILE"`"
     { $as_echo "$as_me:$LINENO: checking $r version" >&5
 $as_echo_n "checking $r version... " >&6; }
     exe=`
@@ -12475,19 +13185,18 @@ $as_echo_n "checking $r version... " >&6; }
 $as_echo "$ver" >&6; }
     if test "$num" -lt "$req"; then
 
-    eval "x"=\"`eval echo \"'$'x\" \""$r >=  (installed: $ver)"\"`\"
+    eval ""=\"`eval echo \"'$'\" \""$r >=  (installed: $ver)"\"`\"
 
     fi
-    vervar="`echo WINDRES | tr 'a-z' 'A-Z'`_VERSION"
+    vervar="`echo GUILE | tr 'a-z' 'A-Z'`_VERSION"
     eval `echo $vervar=$num`
 ##    AC_SUBST(`eval echo $vervar`)
 
+       fi
     fi
 
 
-
-
-# guile executable for some scripts
+else
 
     { $as_echo "$as_me:$LINENO: checking for guile" >&5
 $as_echo_n "checking for guile... " >&6; }
@@ -12788,6 +13497,7 @@ $as_echo "$ver" >&6; }
     fi
 
 
+fi
 
 # perl for help2man and for mf2pt1.pl